Index: branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsChangeLedgerData.cs	(revision 266)
+++ branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsChangeLedgerData.cs	(revision 267)
@@ -208,8 +208,8 @@
                     List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
                     DetailSQL.Clear();
                     DetailSQL.Append(LedgerDeDB.CreatePrimarykeyString(LedgerRec.ConstructionCode));
-                    DetailSQL.AppendFormat(" AND OperatingFlg = {0}", (int)CommonDefine.SalaryOperateKind.Oparateing);  // 対応中フラグ
-                    DetailSQL.AppendFormat(" AND SALARYFLG != {0}", (int)CommonDefine.SalaryDevision.Noting);           // 給与振分区分
+                    DetailSQL.AppendFormat(" AND OperatingFlg = {0}", (int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing);      // 対応中フラグ
+                    DetailSQL.AppendFormat(" AND SALARYFLG != {0}", (int)CommonDefine.SalaryDevision.Noting);                       // 給与振分区分
                     DetailSQL.AppendFormat(" AND GROUPCOUNT IN ({0},{1},{2})",
                                                                     (int)FrmConstructionLedger.DataGroup.Instructor,        // 指導員給料
                                                                     (int)FrmConstructionLedger.DataGroup.Assistant,         // 副担当者給料
@@ -228,7 +228,7 @@
                         // コードがない場合は処理しない
                         if (CurRec.CompanyCode == 0) continue;
                         // 施工管理中担当者ではない場合は処理しない
-                        if (CurRec.OperatingFlg == (int)CommonDefine.SalaryOperateKind.Complate) continue;
+                        if (CurRec.OperatingFlg == (int)ConstructionLedgerDetail.SalOpeKindDef.Complate) continue;
 
                         // セットする金額を計算する
                         switch (CurRec.SalaryFlg)
Index: branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsSystemOnceExecute.cs	(revision 266)
+++ branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsSystemOnceExecute.cs	(revision 267)
@@ -276,7 +276,7 @@
                 // 当日のチェック 今日を基準に対象日と比較する
                 if (Target.Date == CriteriaDate.Date)
                 {
-                    TermMasterData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule1;
+                    TermMasterData.CheckSchdule = (int)TermMaster.TermDateCheckTimingDef.CheckSchdule1;
                     TermMasterData.TermDays     = CommonDefine.MaterualStatusCheckList[0].Value;
                     TermMasterData.SendTitle    = CommonDefine.MaterualLimitItem[0, 0];
                     TermMasterData.SendMessage  = CommonDefine.MaterualLimitItem[0, 1];
@@ -286,7 +286,7 @@
                 // 後日以降継続のチェック 今日を基準に経過日（1日）が過ぎているか比較する
                 else if (Target.AddDays(1).Date <= CriteriaDate.Date)
                 {
-                    TermMasterData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule3;
+                    TermMasterData.CheckSchdule = (int)TermMaster.TermDateCheckTimingDef.CheckSchdule3;
                     TermMasterData.TermDays     = CommonDefine.MaterualStatusCheckList[1].Value;
                     TermMasterData.SendTitle    = CommonDefine.MaterualLimitItem[1, 0];
                     TermMasterData.SendMessage  = CommonDefine.MaterualLimitItem[1, 1];
@@ -303,9 +303,9 @@
         }
         #endregion
 
-        #region 秘書からのメッセージ作成
+        #region 秘書からのメッセージ作成（資材管理）
         /// <summary>
-        /// 秘書からのメッセージ作成
+        /// 秘書からのメッセージ作成（資材管理）
         /// </summary>
         private bool MakeSecretaryMassageData(IOMessageBoardData mbdDB,
                                         IOMessageBoardTerget mbtDB,
@@ -320,7 +320,7 @@
                 strSQL += string.Format(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = {0}", wrkRec.PersonCode);
                 strSQL += " , CONSTRUCTIONBASEINFODETAIL A";
                 strSQL += string.Format(" WHERE P.CONSTRUCTIONCODE = {0}", wrkRec.ConstructionCode);
-                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 ArrayList arList = new ArrayList();
                 if (!cbiDB.ExecuteReader(strSQL, ref arList)) return false;
 
@@ -560,11 +560,11 @@
                     {
                         List<TermMaster> term = new List<TermMaster>();
                         // 増減工事の子は処理しない
-                        if (wrkRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying) continue;
+                        if (wrkRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Tying) continue;
                         // 結合工事の親は処理しない
-                        if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent) continue;
+                        if (wrkRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent) continue;
                         // 結合工事の子は処理しない
-                        if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren) continue;
+                        if (wrkRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren) continue;
                         // チェックOKならば次のデータ
                         if (ConstructionStatusCheck(wrkRec, CriteriaDate, ref term)) continue;
 
@@ -653,51 +653,51 @@
 
                     switch (wrkCheck.FieldNo)
                     {
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.RequestedDate:               // 依頼受け日
+                        case (int)ConstructionBaseInfo.DateNoDef.RequestedDate:               // 依頼受け日
                             Target = checkRec.RequestedDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.EstimatesSubmitDeadline:     // 見積提出期限
+                        case (int)ConstructionBaseInfo.DateNoDef.EstimatesSubmitDeadline:     // 見積提出期限
                             Target = checkRec.EstimatesSubmitDeadline;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.EstimatesSubmittedDate:      // 見積提出日
+                        case (int)ConstructionBaseInfo.DateNoDef.EstimatesSubmittedDate:      // 見積提出日
                             Target = checkRec.EstimatesSubmittedDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.OrderDate:                   // 受注日
+                        case (int)ConstructionBaseInfo.DateNoDef.OrderDate:                   // 受注日
                             Target = checkRec.OrderDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.OrderStartingDate:           // 開始予定日
+                        case (int)ConstructionBaseInfo.DateNoDef.OrderStartingDate:           // 開始予定日
                             Target = checkRec.OrderStartingDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.OrderCompletionDate:         // 完了予定日
+                        case (int)ConstructionBaseInfo.DateNoDef.OrderCompletionDate:         // 完了予定日
                             Target = checkRec.OrderCompletionDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstrPreparationDate:       // 施工開始準備日
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstrPreparationDate:       // 施工開始準備日
                             Target = checkRec.PreparationStartDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionStartingDate:    // 施工開始日
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionStartingDate:    // 施工開始日
                             Target = checkRec.ConstructionStartingDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionCompletionDate:  // 施工完了日
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionCompletionDate:  // 施工完了日
                             Target = checkRec.ConstructionCompletionDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.TransferConstructionDate:    // 工事移管日
+                        case (int)ConstructionBaseInfo.DateNoDef.TransferConstructionDate:    // 工事移管日
                             Target = checkRec.TransferConstructionDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.EstimatesExpirationDate:     // 見積有効期限
+                        case (int)ConstructionBaseInfo.DateNoDef.EstimatesExpirationDate:     // 見積有効期限
                             Target = checkRec.EstimatesExpirationDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionPeriodStart:     // 契約工期開始
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionPeriodStart:     // 契約工期開始
                             Target = checkRec.ConstructionPeriodStart;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionPeriodEnd:       // 契約工期完了
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionPeriodEnd:       // 契約工期完了
                             Target = checkRec.ConstructionPeriodEnd;
                             // 延長工期があれば延長工期を入れる
                             if (checkRec.ConstructionPeriodEnd2 != DateTime.MinValue) Target = checkRec.ConstructionPeriodEnd2;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.BillingStartDate:            // 請求準備開始日
+                        case (int)ConstructionBaseInfo.DateNoDef.BillingStartDate:            // 請求準備開始日
                             Target = checkRec.BillingStartDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.BillingDate:                 // 請求日
+                        case (int)ConstructionBaseInfo.DateNoDef.BillingDate:                 // 請求日
                             Target = checkRec.BillingDate;
                             // 2016/10/06 台帳入力完了日があればチェックをしない 
                             if (checkRec.LedgerComplateDate != DateTime.MinValue) Target = DateTime.MinValue.Date;
@@ -712,7 +712,7 @@
 
                     switch (wrkCheck.CheckSchdule)
                     {
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule0:   // 前日以前のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule0:   // 前日以前のチェック
                             // 今日を基準に経過日を加算して対象日と比較する
                             //if (Target.Date == DateTime.Now.AddDays(wrkCheck.TermDays).Date)
                             if (Target.Date == CriteriaDate.AddDays(wrkCheck.TermDays).Date)
@@ -720,7 +720,7 @@
                                 ErrFlg = true;
                             }
                             break;
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule1:   // 当日のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule1:   // 当日のチェック
                             // 今日を基準に対象日と比較する
                             //if (Target.Date == DateTime.Now.Date)
                             if (Target.Date == CriteriaDate.Date)
@@ -728,7 +728,7 @@
                                 ErrFlg = true;
                             }
                             break;
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule2:   // 後日以降のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule2:   // 後日以降のチェック
                             // 今日を基準に対象日と比較する
                             //if (Target.AddDays(wrkCheck.TermDays).Date == DateTime.Now.Date)
                             if (Target.AddDays(wrkCheck.TermDays).Date == CriteriaDate.Date)
@@ -736,7 +736,7 @@
                                 ErrFlg = true;
                             }
                             break;
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule3:   // 後日以降継続のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule3:   // 後日以降継続のチェック
                             // 今日を基準に経過日が過ぎているとエラー
                             //if (Target.AddDays(wrkCheck.TermDays).Date <= DateTime.Now.Date)
                             if (Target.AddDays(wrkCheck.TermDays).Date <= CriteriaDate.Date)
@@ -781,7 +781,7 @@
                 strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = P.CONSTRUCTIONPERSONCODE");
                 strSQL.Append(", CONSTRUCTIONBASEINFODETAIL A");
                 strSQL.AppendFormat(" WHERE P.CONSTRUCTIONCODE = {0}",wrkRec.ConstructionCode);
-                strSQL.AppendFormat(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL.AppendFormat(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 ArrayList arList = new ArrayList();
                 if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arList)) return false;
                 
@@ -875,7 +875,7 @@
                 strSQL.Append("SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
                 strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
-                strSQL.AppendFormat(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment);
+                strSQL.AppendFormat(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.OrdersDecisionComment);
 
                 StringBuilder strWHERE = new StringBuilder();
                 strWHERE.AppendFormat(" WHERE DATE(A.ESTIMATESSUBMITTEDDATE) != STR_TO_DATE('{0}', '%Y/%m/%d')", DateTime.MinValue);
@@ -882,7 +882,7 @@
                 strWHERE.AppendFormat(" AND DATE(DATE_ADD(A.ESTIMATESSUBMITTEDDATE, INTERVAL '{0}' DAY))", s_NonOrderDay);
                 strWHERE.AppendFormat(" < STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.Now.ToShortDateString());
                 strWHERE.AppendFormat(" AND A.CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
-                strWHERE.AppendFormat(" AND A.ESTIMATETYPE IN ({0}, {1})", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                strWHERE.AppendFormat(" AND A.ESTIMATETYPE IN ({0}, {1})", (int)ConstructionBaseInfo.EstimateTypeDef.Normal, (int)ConstructionBaseInfo.EstimateTypeDef.GetBudget);
                 strSQL.Append(strWHERE.ToString());
                 ArrayList arList = new ArrayList();
                 if (!BaseDB.ExecuteReader(strSQL.ToString(), ref arList))
@@ -925,7 +925,7 @@
                                                     (int)IOConstructionBaseInfoDetail.TableColumn.DETAILSTRING,
                                                     strOrgMsg,
                                                     false,
-                                                    (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment))
+                                                    (int)ConstructionBaseInfoDetail.DataNoDef.OrdersDecisionComment))
                         {
                             BaseDB.rollback();
                             DetailDB.rollback();
@@ -973,7 +973,7 @@
             {
                 ConstructionBaseInfoDetail work = new ConstructionBaseInfoDetail();
                 work.ConstructionCode = ConstrCode;
-                work.DetailNo = (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment;
+                work.DetailNo = (int)ConstructionBaseInfoDetail.DataNoDef.OrdersDecisionComment;
                 work.DetailString = strMsg;
 
                 if (!DetailDB.InsertAction(work, false)) return false;
@@ -1003,7 +1003,7 @@
 
                 // 入力完了以外を対象にする
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.AppendFormat(" A WHERE A.ComplateFlg <> {0}", (int)CommonDefine.ComplateTitleNo.Complated);
+                strSQL.AppendFormat(" A WHERE A.ComplateFlg <> {0}", (int)ConstructionLedger.CompFlagDef.Complated);
                 strSQL.Append(" AND A.CONSTRUCTIONCODE IN (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1");
                 strSQL.AppendFormat(" WHERE A1.CONSTRUCTIONSTATUSFLG <> {0}", iCode1);
                 strSQL.AppendFormat(" AND A1.CONSTRUCTIONSTATUSFLG <> {0}", iCode3);
